Update Companies (batch)

Updates up to 10 Company accounts at once. See Update a Company for recommendations on formatting individual Companies in the array.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
companyIdintegerRequired

Unique numeric ID of the Company account. This is a read-only field; do not set or modify its value in a POST or PUT request.

addressstringOptional
The first line of the address.
apartmentstringOptional
The second line of the address.
citystringOptional1-100 characters
The city of the primary address for the Company account.
companyEmailstringOptionalformat: "email"1-200 characters
The primary email address for the Company account.
companyNamestringOptional>=1 character
companyPhonestringOptional<=50 characters
The primary phone number for the Company account.
countrystringOptional1-200 characters
The country of the primary address for the Company account. This must be either the full name or the ISO2 country code.
customerGroupIdintegerOptional

The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See Independent Companies Behavior for more information.

extraFieldslist of objectsOptional

To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition.

e.g., If you want to create a new company with an extra integer field named licenseNO, you can use this structure [{‘fieldName’: ‘LicenseNO’, ‘fieldValue’: 10342340323}] in the request body.

priceListAssignlist of objectsOptional
Use this array to assign a price list to a Company account if your store uses legacy Dependent Companies behavior *and* it has Multi-Storefront enabled. Use catalogId to assign price lists if you have not enabled Multi-Storefront. This field is read-only for stores using Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/companies#independent-vs-dependent-companies-behavior) for more information.
statestringOptional1-50 characters
The state of the primary address for the Company account, if applicable. This must be the full name and not an abbreviation.
zipCodestringOptional
The postal code on the address.

Response

OK
codedouble
metaobject
dataobject

Errors

400
Bad Request Error
404
Not Found Error
413
Content Too Large Error